templates:
- projects-citec-csra
- common-lisp-executable
- base

catalog:
  title: LSP CSRA Video Tools

variables:
  description: CSRA-specific tools for recording and processing videos.
  keywords:
  - video
  - recording
  - processing
  - rtsp
  - h264

  redmine.repository-id: videotools

  branches:
  - '0.1'
  - '0.2'
  - '0.3'
  - master

  lisp.load-systems:
  - rsb-transport-socket
  - rsb-transport-spread
  - rsb-introspection
  - lsp-csra.video-recorder
  - lsp-csra.h264-sei-timestamp-dumper

  lisp.entry-points:
  - video-recorder/lsp-csra.video-recorder:main
  - h264-sei-timestamp-dumper/lsp-csra.h264-sei-timestamp-dumper:main

  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - gstreamer0.10-tools
      - gstreamer0.10-plugins-base
      - gstreamer0.10-plugins-good

versions:
- name: '1702'
  variables:
    commit: 92291fbe2c7bec4c0793ceb6f2ac5c1329fff644
